// Cakowanie numeryczne - metoda prostokatow
// www.algorytm.org
// (c)2007 by Tomasz Lubinski

program metoda_prostokatow;
{$APPTYPE CONSOLE}
uses
  SysUtils;

//funkcja dla ktorej obliczamy calke
function func(x: Real): Real;
begin
     result := x*x + 3;
end;

var
     xp, xk, dx, calka: Real;
     n, i: Integer;
begin

	writeln('Podaj poczatek przedzialu calkowania');
	readln(xp);

	writeln('Podaj koniec przedzialu calkowania');
        readln(xk);

	writeln('Podaj dokladnosc calkowania');
	readln(n);

	dx := (xk - xp) / (n * 1.0);

	calka := 0;
        for i:=1 to n do
        	calka := calka + func(xp + i * dx);
        calka := calka *dx;

	writeln('Wartosc calki wynosi w przyblizeniu ' + FloatToStr(calka));
        readln;
end.